commit: a7be9a7fd02c46058a8f09250effc9e8f1344986
Author: François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Mon Jun 19 01:15:16 2023 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 00:01:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7be9a7f
sci-libs/amd: add requested improvements from review
Signed-off-by: François Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
sci-libs/amd/amd-3.0.3.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-libs/amd/amd-3.0.3.ebuild b/sci-libs/amd/amd-3.0.3.ebuild
index 687a2d2554f7..e135d6975e08 100644
--- a/sci-libs/amd/amd-3.0.3.ebuild
+++ b/sci-libs/amd/amd-3.0.3.ebuild
@@ -47,8 +47,8 @@ multilib_src_test() {
amd_f77demo
)
fi
- for i in ${demofiles}; do
- ./"${i}" > "${i}.out"
+ for i in ${demofiles[@]}; do
+ ./"${i}" > "${i}.out" || die "failed to run test ${i}"
diff "${S}/Demo/${i}.out" "${i}.out" || die "failed testing
${i}"
done
einfo "All tests passed"